| Flutter Linux Embedder |

Functions
fl_keyboard_pending_event.h File Reference
`#include "fl_key_event.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlKeyboardPendingEvent, fl_keyboard_pending_event, FL, KEYBOARD_PENDING_EVENT, GObject)
FlKeyboardPendingEvent * | fl_keyboard_pending_event_new (FlKeyEvent *event, uint64_t sequence_id, size_t to_reply)
FlKeyEvent * | fl_keyboard_pending_event_get_event (FlKeyboardPendingEvent *event)
uint64_t | fl_keyboard_pending_event_get_sequence_id (FlKeyboardPendingEvent *event)
uint64_t | fl_keyboard_pending_event_get_hash (FlKeyboardPendingEvent *event)
void | fl_keyboard_pending_event_mark_replied (FlKeyboardPendingEvent *event, gboolean handled)
gboolean | fl_keyboard_pending_event_get_any_handled (FlKeyboardPendingEvent *event)
gboolean | fl_keyboard_pending_event_is_complete (FlKeyboardPendingEvent *event)

## Function Documentation

## ◆ fl_keyboard_pending_event_get_any_handled()

gboolean fl_keyboard_pending_event_get_any_handled | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 96 of file fl_keyboard_pending_event.cc.

97 {
98 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), FALSE);
99 return self->any_handled;
100 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_get_event()

FlKeyEvent* fl_keyboard_pending_event_get_event | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 70 of file fl_keyboard_pending_event.cc.

70 {
71 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), nullptr);
72 return self->event;
73 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_get_hash()

uint64_t fl_keyboard_pending_event_get_hash | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 81 of file fl_keyboard_pending_event.cc.

81 {
82 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), 0);
83 return self->hash;
84 }

Referenced by compare_pending_by_hash().

## ◆ fl_keyboard_pending_event_get_sequence_id()

uint64_t fl_keyboard_pending_event_get_sequence_id | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 75 of file fl_keyboard_pending_event.cc.

76 {
77 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), 0);
78 return self->sequence_id;
79 }

Referenced by compare_pending_by_sequence_id(), and fl_keyboard_handler_handle_event().

## ◆ fl_keyboard_pending_event_is_complete()

gboolean fl_keyboard_pending_event_is_complete | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 102 of file fl_keyboard_pending_event.cc.

102 {
103 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), FALSE);
104 return self->unreplied == 0;
105 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_mark_replied()

void fl_keyboard_pending_event_mark_replied | ( | FlKeyboardPendingEvent * | event,
|  | gboolean | handled
| ) |  |

Definition at line 86 of file fl_keyboard_pending_event.cc.

87 {
88 g_return_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self));
89 g_return_if_fail(self->unreplied > 0);
90 self->unreplied -= 1;
91 if (handled) {
92 self->any_handled = TRUE;
93 }
94 }

References TRUE.

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_new()

FlKeyboardPendingEvent* fl_keyboard_pending_event_new | ( | FlKeyEvent * | event,
|  | uint64_t | sequence_id,
|  | size_t | to_reply
| ) |  |

Definition at line 55 of file fl_keyboard_pending_event.cc.

57 {
58 FlKeyboardPendingEvent* self = FL_KEYBOARD_PENDING_EVENT(
59 g_object_new(fl_keyboard_pending_event_get_type(), nullptr));
60
61 self->event = FL_KEY_EVENT(g_object_ref(event));
62 self->sequence_id = sequence_id;
63 self->unreplied = to_reply;
64 self->any_handled = false;
65 self->hash = fl_key_event_hash(self->event);
66
67 return self;
68 }

References event, and fl_key_event_hash().

Referenced by fl_keyboard_handler_handle_event().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlKeyboardPendingEvent | ,
|  | fl_keyboard_pending_event | ,
|  | FL | ,
|  | KEYBOARD_PENDING_EVENT | ,
|  | GObject |
| ) |  |

event
FlKeyEvent * event
Definition: fl_key_channel_responder.cc:118
TRUE
return TRUE
Definition: fl_pixel_buffer_texture_test.cc:53
fl_key_event_hash
uint64_t fl_key_event_hash(FlKeyEvent *self)
Definition: fl_key_event.cc:114